Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Select_Reactor_T.cpp File Reference

`#include "ace/Select_Reactor_T.h"`
`#include "ace/ACE.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Signal.h"`
`#include "ace/Thread.h"`
`#include "ace/Timer_Heap.h"`
`#include "ace/OS_NS_sys_select.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Select_Reactor_T.i"`

Include dependency graph for Select_Reactor_T.cpp:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_SELECT_REACTOR_HANDLE(H) (this->event_handlers_[(H)].handle_)
#define | ACE_SELECT_REACTOR_EVENT_HANDLER(THIS, H) ((THIS)->event_handlers_[(H)].event_handler_)
## Functions
const char * | get_rcsid_ace_Select_Reactor_T (const char *)
## Variables
const char * | rcsid_ace_Select_Reactor_T = get_rcsid_ace_Select_Reactor_T ( rcsid_ace_Select_Reactor_T )

## Define Documentation

#define ACE_SELECT_REACTOR_EVENT_HANDLER | ( | THIS,
|  | H |  | ) | ((THIS)->event_handlers_[(H)].event_handler_)

#define ACE_SELECT_REACTOR_HANDLE | ( | H |  | ) | (this->event_handlers_[(H)].handle_)

## Function Documentation

const char* get_rcsid_ace_Select_Reactor_T | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Select_Reactor_T = get_rcsid_ace_Select_Reactor_T ( rcsid_ace_Select_Reactor_T )`[static]`